Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.xpath
Class XPathFactoryConfigurationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.xml.xpath.XPathException
                  javax.xml.xpath.XPathFactoryConfigurationException

All Implemented Interfaces:
  java.io.Serializable

public class XPathFactoryConfigurationException
extends XPathException

`XPathFactoryConfigurationException` represents a configuration error in a `XPathFactory` environment.

Since:
  1.5
See Also:
  Serialized Form

Constructor Summary
`XPathFactoryConfigurationException(java.lang.String message)` Constructs a new `XPathFactoryConfigurationException` with the specified detail `message`.
`XPathFactoryConfigurationException(java.lang.Throwable cause)` Constructs a new `XPathFactoryConfigurationException` with the specified `cause`.

Methods inherited from class javax.xml.xpath.XPathException
`getCause, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XPathFactoryConfigurationException

    public XPathFactoryConfigurationException(java.lang.String message)

  Constructs a new `XPathFactoryConfigurationException` with the specified detail `message`.

  The `cause` is not initialized.

  If `message` is `null`, then a `NullPointerException` is thrown.

Parameters:
  `message` - The detail message.

### XPathFactoryConfigurationException

    public XPathFactoryConfigurationException(java.lang.Throwable cause)

  Constructs a new `XPathFactoryConfigurationException` with the specified `cause`.

  If `cause` is `null`, then a `NullPointerException` is thrown.

Parameters:
  `cause` - The cause.
Throws:
  `java.lang.NullPointerException` - if `cause` is `null`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD